
/* Стили если данные в поле формы верные, но выглядит это не очень */

/*select.is-valid + .select2-container--krajee-bs4 .select2-selection--single,*/
/*.form-control.is-valid,*/
/*select.is-valid + .select2-container--krajee-bs4 .select2-selection--single,*/
/*.was-validated .form-control:valid {*/
/*    border: 2px solid var(--emerald-500);*/
/*}*/

/*select.is-valid + .select2-container--krajee-bs4 .select2-selection--single .select2-selection__placeholder,*/
/*.form-control.is-valid::placeholder,*/
/*select.is-valid + .select2-container--krajee-bs4 .select2-selection--single .select2-selection__placeholder,*/
/*.was-validated .form-control:valid::placeholder {*/
/*    color: var(--emerald-500) !important;*/
/*    font-weight: 600;*/
/*}*/

.form-control:focus {
    box-shadow: none !important;
    border: 2px solid var(--sky-600) !important;
}

.form-control:focus .select2-selection__placeholder,
.form-group:focus .select2-selection__placeholder,
.form-control:focus::placeholder {
    color: var(--sky-700) !important;
}

.form-control .select2-selection__placeholder,
.form-group .select2-selection__placeholder,
.form-control::placeholder {
    font-weight: 600;
    color: var(--gray-400) !important;
}

.was-validated .form-control:invalid::placeholder,
.form-control.is-invalid::placeholder {
    color: var(--red-500) !important;
}

.was-validated .form-control:invalid, .form-control.is-invalid {
    border: 2px solid var(--red-500) !important;
    background-size: calc(0.95em + 0.675rem) calc(0.95em + 0.675rem);
}